# Copyright (C) 2023 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
#
"""Add CASA home for casa_envoy

Revision ID: 4cd2d7009346
Revises: d822cf6844bb
Create Date: 2024-05-13 09:55:18.903527

"""
from pathlib import Path

from alembic import op

# revision identifiers, used by Alembic.
revision = "4cd2d7009346"
down_revision = "d822cf6844bb"
branch_labels = None
depends_on = None

restore_cms_manifest_old_content = (
    Path.cwd() / "versions" / "templates" / "restore_cms" / "metadata_2.8.3.txt"
).read_text()
restore_cms_manifest_new_content = (
    Path.cwd() / "versions" / "templates" / "restore_cms" / "metadata_2.8.4.txt"
).read_text()


def upgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{restore_cms_manifest_new_content}'
        WHERE filename='metadata.json' AND workflow_name='restore_cms'
        """
    )


def downgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{restore_cms_manifest_old_content}'
        WHERE filename='metadata.json' AND workflow_name='restore_cms'
        """
    )
